Subject: RE: cygwin 1.5.0 managed mode & backward compatibility
From: Pavel Rozenboim <[email-masked]>
To: [email-masked]
Date: Thu, 17 Jul 2003 17:48:49 +0200

> -----Original Message-----
> From: Larry Hall [mailto:[email-masked]]
> Sent: Thu, July 17, 2003 4:15 PM
> To: Pavel Rozenboim
> Cc: [email-masked]
> Subject: Re: cygwin 1.5.0 managed mode & backward compatibility
> 
> 
> Pavel Rozenboim wrote:
> 
> > 
> >>-----Original Message-----
> >>From: Christopher Faylor [mailto:[email-masked]]
> >>Sent: Wed, July 16, 2003 6:07 PM
> >>To: [email-masked]
> >>Subject: Re: cygwin 1.5.0 managed mode & backward compatibility
> >>
> >>
> >>On Wed, Jul 16, 2003 at 01:48:28PM +0200, Pavel Rozenboim wrote:
> >>
> >>>Hi,
> >>>
> >>>I installed cygwin 1.5.0 and remounted all cygwin 
> >>
> >>directories (/,/usr/bin,
> >>
> >>>/usr/lib) in managed mode. Now I can't access files that 
> >>
> >>have a capital
> >>
> >>>letters that were created before upgrade to 1.5.0. 
> >>
> >>*exactly*
> >>
> >>Don't do that.  Do not use managed mode on your old 
> >>directories.  It is
> >>called "managed" for a reason.  Cygwin wants to manage all 
> >>file creations.
> >>So, the only way to use it is to create an empty directory, mount it
> >>as managed, and then populate it with files.
> > 
> > 
> > Do you have any plans to provide backward/windows 
> compatibility for managed
> > mode? 
> 
> 
> Perhaps I'm being simplistic but I can't see how Windows compatibility
> could be added in terms of it displaying the unmanaged names and
> understanding which name maps where.  I assume that's what you meant.

I thought about a following idea: when looking for a file on a filesystem in
managed mode, first try an unmangled name, and if it doesn't exist, try
mangled name. I understand that the whole issue is more complex that that,
and my idea probably was considered and rejected already.

> If not, please clarify.  Also, I'm not sure I understand the 
> implication
> of 'backward' in your statement, unless it was just a qualifier for
> 'windows'.

It is mostly the same, as current cygwin (1.3.xx) implementation relies on
windows names, AFAIK.

> 
> There's no reason that Windows applications can't work with 
> the managed
> named files of course.  At least, no reason AFAICS.

The potential problem is in mixed environments. For example, we have a
compilation scripts that run on cygwin and use cygwin make utility, but the
compiler itself is a non-cygwin application. In such situation all scripts
and makefiles need to be modified to use cygpath utility extensively. We
also use non-cygwin editors to edit the sources. Of course, use of managed
mode is not required in this situation, but it still would be nice to be
able to work with managed mode and still be able to access files with
non-cygwin applications.

> 
> 
> -- 
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/